ZPOOL-ATTACH(8)

NAME
zpool-attach - Attach a new device to an existing ZFS virtual device (vdev).

SYNOPSIS
zpool attach [-fw] [-o property=value] pool device new_device

DESCRIPTION

    zpool attach [-fw] [-o property=value] pool device new_device Attaches new_device to the existing device. The existing device cannot be part of a raidz configuration. If device is not currently part of a mirrored configuration, device automatically transforms into a two-way mirror of device and new_device. If device is part of a two-way mirror, attaching new_device creates a three-way mirror, and so on. In either case, new_device begins to resilver immediately.

    -f  Forces use of new_device, even if it appears to be in use. Not all devices can be overridden in this manner.

    -w  Waits until new_device has finished resilvering before returning.

    -o property=value
        Sets the given pool properties. See the zpoolprops(8) manual page for a list of valid properties that can be set. The only property supported at the moment is ashift.

SEE ALSO
zpool-detach(8), zpool-add(8), zpool-import(8), zpool-initialize(8), zpool-online(8), zpool-replace(8), zpool-resilver(8)